The "List Shipping Rate" API allows to retrieve a list of shipping rate.
The "List Shipping Rate" API allows to retrieve a list of shipping rate.
http
GET https://services.leadconnectorhq.com/store/shipping-zone/{shippingZoneId}/shipping-rate
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
shippingZoneId
string
Yes
6578278e879ad2646715ba9c
ID of the item that needs to be returned
Query parameters
Name
Type
Required
Example
Description
altId
string
Yes
6578278e879ad2646715ba9c
Account Id or Agency Id
altType
string
Yes
limit
number
No
20
The maximum number of items to be included in a single page of results
offset
number
No
0
The starting index of the page, indicating the position from which the results should be retrieved.
Responses
200 - Successful response
total (number, required): Total number of items Example: 20
data (object[], required): An array of items
altId (string, required): Account Id or Agency Id Example: 6578278e879ad2646715ba9c
altType (string, required): Possible values: 'account'
name (string, required): Name of the shipping zone Example: North zone
description (string): Delivery description Example: Ships next day
currency (string, required): The currency of the amount of the rate / handling fee Example: USD
amount (number, required): The amount of the shipping rate if it is normal rate (0 means free ). Fixed Handling fee if it is a carrier rate (it will add to the carrier rate). Example: 99.99
conditionType (string, required): Type of condition to provide the conditional pricing Possible values: 'none', 'price', 'weight' Example: price
minCondition (number, required): Minimum condition for applying this price. set 0 or null if there is no minimum Example: 99.99
maxCondition (number, required): Maximum condition for applying this price. set 0 or null if there is no maximum Example: 99.99
isCarrierRate (boolean): is this a carrier rate Example: True
shippingCarrierId (string, required): Shipping carrier id Example: 655b33a82209e60b6adb87a5
percentageOfRateFee (number): Percentage of rate fee if it is a carrier rate. Example: 10.99
shippingCarrierServices (object[]): An array of items
name (string, required): Name of the shipping carrier service Example: Priority Mail Express International
value (string, required): Value of the shipping carrier service Example: PriorityMailExpressInternational
_id (string, required): The unique identifier for the product. Example: 655b33a82209e60b6adb87a5
shippingZoneId (string, required): The unique identifier for the shipping zone. Example: 655b33a82209e60b6adb87a5
createdAt (string, required): created at Example: 2023-12-12T09:27:42.355Z
updatedAt (string, required): updated at Example: 2023-12-12T09:27:42.355Z